#include "Input/InputManager.h"

void BarinkEngine::InputManager::PollEvents()
{
	for (std::vector<BarinkWindow*>::iterator it = windows.begin(); it != windows.end(); ++it) {
		(*it)->Poll();
	}
}

void BarinkEngine::InputManager::attach(BarinkWindow* window)
{
	windows.push_back(window);
}

BarinkEngine::InputManager::InputManager()
{
	windows = std::vector<BarinkWindow*>();
}
